import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";
import { getRoleFromUrl } from "../../../utils/getRoleFromUrl";

export const avicultureRequestsStateProcessService = createAsyncThunk(
  "AVICULTURE_REQUESTS_STATE_PROCESS",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get(
      "Poultry_Request/?role=" + getRoleFromUrl(),
      {
        params: {
          date1: d.selectedDate1,
          date2: d.selectedDate2,
          state_process: true,
        },
      }
    );
    dispatch(LOADING_END());
    return { data, status };
  }
);
